
From: Dave Olien <dmo@osdl.org>

This patch applies to the 2.6.11-rc3-mm2 patch set.  It is dependent
upon the mm2 patches:

	add-local-bio-pool-support-and-modify-dm.patch
	add-local-bio-pool-support-and-modify-dm-uninline-zero_fill_bio.patch

It just changes bio_clone() to use the global bio_set pool instead of the
bio_set pool associated with the bio argument.  This is because raid5
and raid6 bio's are not allocated from a bio_set and have no bio_set
associated with them.  This patch along with the patch Linux just accepted
allows raid5 and raid6 to function.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/bio.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/bio.c~add-local-bio-pool-support-and-modify-dm-use-global-bio-set-pool fs/bio.c
--- 25/fs/bio.c~add-local-bio-pool-support-and-modify-dm-use-global-bio-set-pool	2005-02-11 22:31:25.000000000 -0800
+++ 25-akpm/fs/bio.c	2005-02-11 22:31:25.000000000 -0800
@@ -273,7 +273,7 @@ inline void __bio_clone(struct bio *bio,
  */
 struct bio *bio_clone(struct bio *bio, int gfp_mask)
 {
-	struct bio *b = bio_alloc_bioset(gfp_mask, bio->bi_max_vecs, bio->bi_set);
+	struct bio *b = bio_alloc_bioset(gfp_mask, bio->bi_max_vecs, fs_bio_set);
 
 	if (b)
 		__bio_clone(b, bio);
_
